Bug 98561 - Cannot handle <wbr> elements pasted from a website
Summary: Cannot handle <wbr> elements pasted from a website
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.1.1 rc
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: needsDevEval
Depends on:
Blocks: HTML-Paste
  Show dependency treegraph
 
Reported: 2016-03-09 17:16 UTC by bugcatcher1
Modified: 2021-10-22 03:46 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description bugcatcher1 2016-03-09 17:16:37 UTC
Writer does not copy certain information from a webpage.

Address of webpage: http://www.electronicsandradios.com/page-used-icom-bc80.html


What was highlighted for copy as seen on web page:

ICOM BC-80 DROP IN CHARGER + ICOM 110 to 12 VOLT 1 Amp AC ADAPTER
for the ICOM IC-P2AT / IC-P2ET / IC-P3AT / IC-P4AET / IC-P4ET
for BATTERY PACKS: BP110 / BP111 / BP112 / BP113

This ICOM BC-80 drop in charger and AC power supply allows you to charge your Icom IC-P2AT or similar while it is standing up in the cradle.

Works with the following Icom models: IC-P2AT / IC-P2ET / IC-P3AT / IC-P4AET/ IC-P4ET

Note that the above text was pasted into text edit and then pasted into writer, in order to give the full text for this report.



What was copied from the web page and pasted into writer:
ICOM BC-
for the ICOM IC-
for BATTERY PACKS: BP110 / BP111 / BP112 / BP113
This ICOM BC-
Works with the following Icom models: IC-



This is the code that created the screen output:
     <table id="table_77" border="1" class="OBJ-8" style="position:absolute;left:37px;top:371px;width:883px;height:170px;">
        <col style="width:505px;">
        <col style="width:378px;">
        <tr style="height:170px;">
          <td colspan="2" class="TC-1">
            <p class="Normal P-6"><span class="C-7">I<span class="C-8">COM BC-<wbr>80 DROP IN CHARGER + ICOM 110 to 12 VOLT 1 Amp AC ADAPTER<br></span>for the ICOM IC-<wbr>P2AT / IC-<wbr>P2ET / IC-<wbr>P3AT / IC-<wbr>P4AET / IC-<wbr>P4ET<br>for BATTERY PACKS: BP110 / BP111 / BP112 / BP113</span></p>
            <p class="Normal P-7"><span class="C-7">This ICOM BC-<wbr>80 drop in charger and AC power supply allows you to charge your Icom IC-<wbr>P2AT or similar while it is standing up in the cradle.</span></p>
            <p class="Normal"><span class="C-8">Works with the following Icom models:<span class="C-7"> IC-<wbr>P2AT / IC-<wbr>P2ET / IC-<wbr>P3AT / IC-<wbr>P4AET/ IC-<wbr>P4ET<br><br></span></span></p>
          </td>
        </tr>
      </table>

The problem appears to be with the <wbr> tag. Was the html parser in writer updated for this element in HTML5?


Definition and Usage
The <wbr> (Word Break Opportunity) tag specifies where in a text it would be ok to add a line-break.
Tip: When a word is too long, or you are afraid that the browser will break your lines at the wrong place, you can use the <wbr> element to add word break opportunities.
Source: http://www.w3schools.com/TAgs/tag_wbr.asp


Another newly introduced HTML5 element is the <wbr> tag which is used to specify a break point in a very long word or string. 
The main difference between <wbr> tag and <br> tag is that <br> element forces to break a line. On the other hand, <wbr> element breaks a line at the specified break points only if required.
http://www.html5tutorial4u.com/wbr-element.htm
Comment 1 Buovjaga 2016-03-09 19:10:24 UTC
Confirmed.

64-bit, KDE Plasma 5
Build ID: 5.1.0.3 Arch Linux build-1
CPU Threads: 8; OS Version: Linux 4.4; UI Render: default; 
Locale: fi-FI (fi_FI.UTF-8)
Comment 2 QA Administrators 2017-10-23 14:14:56 UTC Comment hidden (obsolete)
Comment 3 QA Administrators 2021-10-22 03:46:23 UTC
Dear bugcatcher1,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug